pidgin: _PurplePrefsUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurplePrefsUiOps Struct Reference

Prefs UI operations. More...

`#include <prefs.h>`

## Data Fields
void(* | add_none )(const char *name)
void(* | add_bool )(const char *name, gboolean value)
void(* | add_int )(const char *name, int value)
void(* | add_string )(const char *name, const char *value)
void(* | add_string_list )(const char *name, GList *value)
void(* | set_bool )(const char *name, gboolean value)
void(* | set_int )(const char *name, int value)
void(* | set_string )(const char *name, const char *value)
void(* | set_string_list )(const char *name, GList *value)
gboolean(* | get_bool )(const char *name)
int(* | get_int )(const char *name)
const char *(* | get_string )(const char *name)
GList *(* | get_string_list )(const char *name)
PurplePrefType(* | get_type )(const char *name)
GList *(* | get_children_names )(const char *name)
gboolean(* | exists )(const char *name)
void(* | remove )(const char *name)
void(* | rename )(const char *oldname, const char *newname)
void(* | rename_boolean_toggle )(const char *oldname, const char *newname)
gboolean(* | load )(void)
void(* | save )(void)
void(* | schedule_save )(void)
void *(* | connect_callback )(const char *name, PurplePrefCallbackData *data)
| Called when a callback is added to a preference.
void(* | disconnect_callback )(const char *name, void *ui_data)
| Called when a callback is removed from a preference.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)
void(* | _purple_reserved5 )(void)

## Detailed Description

Prefs UI operations.

This allows overriding the prefs.xml storage with anything else.

Unless specified otherwise, each entry provides an implementation for the corresponding purple_prefs_* method, and disables the prefs.xml code for it. This means that to do anything useful, all the methods must be implemented.

Since
  2.11.0

Definition at line 87 of file prefs.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurplePrefsUiOps::_purple_reserved1) (void)

Definition at line 139 of file prefs.h.

## ◆ _purple_reserved2

void(* _PurplePrefsUiOps::_purple_reserved2) (void)

Definition at line 140 of file prefs.h.

## ◆ _purple_reserved3

void(* _PurplePrefsUiOps::_purple_reserved3) (void)

Definition at line 141 of file prefs.h.

## ◆ _purple_reserved4

void(* _PurplePrefsUiOps::_purple_reserved4) (void)

Definition at line 142 of file prefs.h.

## ◆ _purple_reserved5

void(* _PurplePrefsUiOps::_purple_reserved5) (void)

Definition at line 143 of file prefs.h.

## ◆ add_bool

void(* _PurplePrefsUiOps::add_bool) (const char *name, gboolean value)

Definition at line 90 of file prefs.h.

## ◆ add_int

void(* _PurplePrefsUiOps::add_int) (const char *name, int value)

Definition at line 91 of file prefs.h.

## ◆ add_none

void(* _PurplePrefsUiOps::add_none) (const char *name)

Definition at line 89 of file prefs.h.

## ◆ add_string

void(* _PurplePrefsUiOps::add_string) (const char *name, const char *value)

Definition at line 92 of file prefs.h.

## ◆ add_string_list

void(* _PurplePrefsUiOps::add_string_list) (const char *name, GList *value)

Definition at line 93 of file prefs.h.

## ◆ connect_callback

void *(* _PurplePrefsUiOps::connect_callback) (const char *name, PurplePrefCallbackData *data)

Called when a callback is added to a preference.

The UI must keep track of it and call purple_prefs_trigger_callback_object with the data attribute.

Parameters

  name | The preference name.
  data | The object to be passed when triggering the callback

Returns
  A pointer to a ui_data object.

Definition at line 127 of file prefs.h.

## ◆ disconnect_callback

void(* _PurplePrefsUiOps::disconnect_callback) (const char *name, void *ui_data)

Called when a callback is removed from a preference.

The ui_data object is the one returned from connect_callback.

Parameters

  name | The preference name
  ui_data | The object that was returned from the connect_callback UI OP.

Definition at line 137 of file prefs.h.

## ◆ exists

gboolean(* _PurplePrefsUiOps::exists) (const char *name)

Definition at line 108 of file prefs.h.

## ◆ get_bool

gboolean(* _PurplePrefsUiOps::get_bool) (const char *name)

Definition at line 100 of file prefs.h.

## ◆ get_children_names

GList *(* _PurplePrefsUiOps::get_children_names) (const char *name)

Definition at line 106 of file prefs.h.

## ◆ get_int

int(* _PurplePrefsUiOps::get_int) (const char *name)

Definition at line 101 of file prefs.h.

## ◆ get_string

const char *(* _PurplePrefsUiOps::get_string) (const char *name)

Definition at line 102 of file prefs.h.

## ◆ get_string_list

GList *(* _PurplePrefsUiOps::get_string_list) (const char *name)

Definition at line 103 of file prefs.h.

## ◆ get_type

PurplePrefType(* _PurplePrefsUiOps::get_type) (const char *name)

Definition at line 105 of file prefs.h.

## ◆ load

gboolean(* _PurplePrefsUiOps::load) (void)

Definition at line 114 of file prefs.h.

## ◆ remove

void(* _PurplePrefsUiOps::remove) (const char *name)

Definition at line 109 of file prefs.h.

## ◆ rename

void(* _PurplePrefsUiOps::rename) (const char *oldname, const char *newname)

Definition at line 111 of file prefs.h.

## ◆ rename_boolean_toggle

void(* _PurplePrefsUiOps::rename_boolean_toggle) (const char *oldname, const char *newname)

Definition at line 112 of file prefs.h.

## ◆ save

void(* _PurplePrefsUiOps::save) (void)

Definition at line 115 of file prefs.h.

## ◆ schedule_save

void(* _PurplePrefsUiOps::schedule_save) (void)

Definition at line 116 of file prefs.h.

## ◆ set_bool

void(* _PurplePrefsUiOps::set_bool) (const char *name, gboolean value)

Definition at line 95 of file prefs.h.

## ◆ set_int

void(* _PurplePrefsUiOps::set_int) (const char *name, int value)

Definition at line 96 of file prefs.h.

## ◆ set_string

void(* _PurplePrefsUiOps::set_string) (const char *name, const char *value)

Definition at line 97 of file prefs.h.

## ◆ set_string_list

void(* _PurplePrefsUiOps::set_string_list) (const char *name, GList *value)

Definition at line 98 of file prefs.h.

The documentation for this struct was generated from the following file:

- prefs.h